MacWrtProStructuresInternal::Page Struct Reference

Internal: a page. More...

## Public Member Functions

| Page ()
| the constructor

## Public Attributes

int | m_page
| the page (if absolute)
std::vector< std::shared_ptr< Graphic > > | m_graphicsList
| the graphic list
std::string | m_extra
| extra data
bool | m_send
| true if we have send the data

## Friends

std::ostream & | operator<< (std::ostream &o, Page const &bl)
| operator<<

## Detailed Description

Internal: a page.

## Constructor & Destructor Documentation

## Page()

MacWrtProStructuresInternal::Page::Page | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Page const & | bl )

friend

operator<<

## Member Data Documentation

## m_extra

std::string MacWrtProStructuresInternal::Page::m_extra

extra data

Referenced by operator<<, Page(), and MacWrtProStructures::readPageII().

## m_graphicsList

std::vector<std::shared_ptr<Graphic> > MacWrtProStructuresInternal::Page::m_graphicsList

the graphic list

Referenced by Page(), and MacWrtProStructures::readPageII().

## m_page

int MacWrtProStructuresInternal::Page::m_page

the page (if absolute)

Referenced by operator<<, Page(), and MacWrtProStructures::readPageII().

## m_send

bool MacWrtProStructuresInternal::Page::m_send

true if we have send the data

Referenced by Page().

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx